Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query
Class JDOQLTool

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.JDOQLTool

public class JDOQLTool
extends java.lang.Object

Constructor Summary
`JDOQLTool(com.solarmetric.rd.kodo.conf.JDOConfiguration conf)`

Method Summary
`void` | `addBatch(java.util.List batch, com.solarmetric.rd.kodo.query.JDOQLTool.Table table)`
`void` | `addResult(javax.jdo.spi.PersistenceCapable result, com.solarmetric.rd.kodo.query.JDOQLTool.Table table)`
`void` | `close()`
`void` | `execute(java.lang.String[] args)`
`void` | `interactive()`
`static void` | `main(java.lang.String[] args)`
`static void` | `println(java.lang.String str)`
`void` | `printResults(java.lang.Class clazz, java.util.Collection results)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOQLTool

    public JDOQLTool(com.solarmetric.rd.kodo.conf.JDOConfiguration conf)

Method Detail

### println

    public static void println(java.lang.String str)

### printResults

    public void printResults(java.lang.Class clazz,
                             java.util.Collection results)

### addBatch

    public void addBatch(java.util.List batch,
                         com.solarmetric.rd.kodo.query.JDOQLTool.Table table)

### addResult

    public void addResult(javax.jdo.spi.PersistenceCapable result,
                          com.solarmetric.rd.kodo.query.JDOQLTool.Table table)

### close

    public void close()

### execute

    public void execute(java.lang.String[] args)
                 throws java.lang.Exception

    `java.lang.Exception`

### interactive

    public void interactive()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.